vpMultMatrix(3)

NAME
vpMultMatrix - multiply the current transformation matrix by another matrix

SYNOPSIS
#include <volpack.h>

vpMultMatrix(vpc, m) vpContext *vpc; vpMatrix4 m;

ARGUMENTS

vpc VolPack context from vpCreateContext.

m   Input matrix.

DESCRIPTION
vpMultMatrix is used to multiply the current transformation matrix by an arbitrary 4-by-4 transformation matrix. Use vpCurrentMatrix to set the current transformation matrix. By default, the matrix is post-multiplied (N = N*m where N is the current matrix and m is the argument to vpMultMatrix). The VP_CONCAT_MODE option to vpSeti can be used to select pre-multiplication.

STATE VARIABLES
The current matrix concatenation parameters can be retrieved with the following state variable codes (see vpGeti(3)): VP_CURRENT_MATRIX, VP_CONCAT_MODE.

ERRORS
The return value is always VP_OK.

SEE ALSO
VolPack(3), vpCreateContext(3), vpCurrentMatrix(3)